List contracts

Returns a list of contracts in the organization.


This endpoint has two versions: 1.0 and 1.1. The default version is 1.0 for API keys created before Aug 1st 2026 and 1.1 for keys created after Aug 1st 2026. You can specify the version via the X-API-Version header to override.


Filtering



Filter contracts by passing each field as its own query parameter. Multiple filters are combined with AND. Values are matched by exact equality — partial match, range, and comparator operators are not supported on this endpoint.

Supported filter fields: id, idApp, createdBy, status, and any custom contract field system key.

Example:

GET /contracts?fields=id,name,idApp,status,myCustomField&status=active&idApp=123&myCustomField=true

The above returns contracts where status=active AND idApp=123 AND myCustomField=true.


Query params are different per version:

Query paramSupported in versionDescriptionDefault value
fieldsv1.0, v1.1List of fields to return for each contract(no value)
qv1.1 onlyThe query to search(no value)
sortv1.1 onlySort order(no value)
sizev1.1 onlyNumber of results to return (max: 1000)1000
cursorv1.1 onlyCursor for pagination(no value)
aggsv1.1 onlyAggregation configuration(no value)
filtersv1.1 onlyThe filters to apply (JSON string)(no value)


Multi-currency support



All currency fields are returned in their original amounts based on the contract currency. To get the contract currency, add currency to fields.

Example:

GET /contracts?fields=id,name,amount,currency

  • Rate limit: 100 requests per minute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
Defaults to id,name,idApp,owner

List of fields to return for each contract.
Allowed fields: id, idApp, name, owner, status, createdBy and all fields from /contracts/fields

string

The query to search

string

A comma-seperated list of fields to sort by, with a postfix with either ':asc' or ':desc'. Fields can either be general, or custom to your organization

integer
1 to 1000

The max amount of results to return

string

A base64 string indicating the offset from which to start.
Pass the value of nextCursor returned from the previous call to get the next set of results

string

JSON string representing aggregation configuration. Structure: '{"field":"string","aggregationType":"metric|groupBy|date_range|date_histogram","options":{"size":"integer","sort":{"field":"string","order":"desc|asc","aggFunc":"total|sum|avg|max|min"},"metricFunction":"total|sum|avg|max|min","hardBounds":{"min":"string","max":"string"},"extendedBounds":{"min":"string","max":"string"},"datePeriod":"weekly|monthly|quarterly|yearly"},"aggs":"Nested aggregation with the same structure as the parent"}'

string

JSON string representing filters

Headers
string
enum

API version header (e.g., 1.0, 1.1)

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*